WP6TabGroup Class Reference documentation

WP6TabGroup Class Reference

`#include <WP6TabGroup.h>`

Inheritance diagram for WP6TabGroup:

## Public Member Functions
| WP6TabGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *listener) override
Public Member Functions inherited from WP6VariableLengthGroup
| WP6VariableLengthGroup ()
| ~WP6VariableLengthGroup () override
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Private Attributes
double | m_position
bool | m_ignoreFunction

## Additional Inherited Members
Static Public Member Functions inherited from WP6VariableLengthGroup
static WP6VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP6VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const
unsigned char | getFlags () const
unsigned char | getNumPrefixIDs () const
const unsigned short * | getPrefixIDs () const
unsigned short | getSizeNonDeletable () const
unsigned short | getSizeDeletable () const

## Constructor & Destructor Documentation

## ◆ WP6TabGroup()

WP6TabGroup::WP6TabGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## Member Function Documentation

## ◆ _readContents()

void WP6TabGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overridevirtual

Reimplemented from WP6VariableLengthGroup.

## ◆ parse()

void WP6TabGroup::parse | ( | WP6Listener * | listener | ) |
| overridevirtual

Implements WP6Part.

## Member Data Documentation

## ◆ m_ignoreFunction

bool WP6TabGroup::m_ignoreFunction
| private

Referenced by _readContents(), parse(), and WP6TabGroup().

## ◆ m_position

double WP6TabGroup::m_position
| private

Referenced by _readContents(), parse(), and WP6TabGroup().

The documentation for this class was generated from the following files:

- WP6TabGroup.h
- WP6TabGroup.cpp